<?php
/**
 * Multipurpose Portfolio: Block Patterns
 *
 * @package Multipurpose Portfolio
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'multipurpose-portfolio',
		array( 'label' => __( 'Multipurpose Portfolio', 'multipurpose-portfolio' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'multipurpose-portfolio/banner-section',
		array(
			'title'      => __( 'Banner Section', 'multipurpose-portfolio' ),
			'categories' => array( 'multipurpose-portfolio' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":2302,\"dimRatio\":0,\"isDark\":false,\"align\":\"full\",\"className\":\"main-banner-section mb-md-0\"} -->\n<div class=\"wp-block-cover alignfull is-light main-banner-section mb-md-0\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-2302\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"banner-section-text\"} -->\n<div class=\"wp-block-column banner-section-text\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"55px\"}}} -->\n<h1 style=\"font-size:55px;text-transform:uppercase\">Lorem Ipsum&nbsp;is simply dummy text</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"black\",\"style\":{\"color\":{\"background\":\"#f47bcf\"},\"typography\":{\"fontSize\":\"16px\"},\"border\":{\"radius\":\"0px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-black-color has-text-color has-background\" style=\"border-radius:0px;background-color:#f47bcf\">ABOUT ME</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mx-md-5 banner-section-icon\"} -->\n<div class=\"wp-block-column mx-md-5 banner-section-icon\"><!-- wp:social-links {\"className\":\"mx-md-5\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links mx-md-5\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"className\":\"social-icon-facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\",\"className\":\"social-icon-twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"pinterest\",\"className\":\"social-icon-pintrest\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"className\":\"social-icon-instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'multipurpose-portfolio/services-section',
		array(
			'title'      => __( 'Services Section', 'multipurpose-portfolio' ),
			'categories' => array( 'multipurpose-portfolio' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"mx-md-5 main-post-section\"} -->\n<div class=\"wp-block-group alignwide mx-md-5 main-post-section\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}}} -->\n<h2 class=\"alignwide\" style=\"font-size:35px\">OUR SERVICES</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":2307,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0 mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/post-section1.png\" alt=\"\" class=\"wp-image-2307\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"25px\"}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:25px;text-transform:uppercase\">SERVICE TITLE 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#666666\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#666666;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":2308,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0  mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0  mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/post-section2.png\" alt=\"\" class=\"wp-image-2308\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"25px\",\"textTransform\":\"uppercase\"}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:25px;text-transform:uppercase\">SERVICE TITLE 2</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#666666\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#666666;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":2309,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0  mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0  mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/post-section3.png\" alt=\"\" class=\"wp-image-2309\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:25px\">SERVICE TITLE 3</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#666666\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#666666;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}